.. _mmctl_license:

mmctl license
-------------

Licensing commands

Synopsis
~~~~~~~~


Licensing commands

Options
~~~~~~~

::

  -h, --help   help for license

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl license remove <mmctl_license_remove.rst>`_ 	 - Remove the current license.
* `mmctl license upload <mmctl_license_upload.rst>`_ 	 - Upload a license.
* `mmctl license upload-string <mmctl_license_upload-string.rst>`_ 	 - Upload a license from a string.

